import static java.lang.Character.isLowerCase;
import static java.lang.Character.isUpperCase;
import static java.lang.Character.toLowerCase;

public class ROT13  {

    ROT13(Character cs, Character cf) {
    }

    ROT13() {
    }


    public String crypt(String text) throws UnsupportedOperationException {

        return encrypt(text);
    }

    public String encrypt(String text) {
        StringBuilder stringBuilder = new StringBuilder();

        for (int i = 0; i < text.length(); i++) {
            if(!Character.isLetter(text.charAt(i))){
                stringBuilder.append(text.charAt(i));
            } else if (Character.isLowerCase(text.charAt(i))) {
                stringBuilder.append(rotateLowerCase(text.charAt(i)));
            } else { stringBuilder.append(rotateUpperCase(text.charAt(i)));}
        }
        System.out.println(stringBuilder.toString());
        return stringBuilder.toString();
    }

    public String decrypt(String text) {
        return encrypt(text);
    }

    public static String rotate(String s, Character c) {
        int indexToStart = 0;
        for(int i = 0; i < s.length(); i++){
            if(s.charAt(i) == c){
                indexToStart = i;
            }
        }
        return createNewString(s, indexToStart);
    }

    private static String createNewString(String s, int indexToStart) {
        StringBuilder stringBuilder = new StringBuilder(s.substring(indexToStart));
        stringBuilder.append(s.substring(0, indexToStart));
        return stringBuilder.toString();
    }

    public static char rotateUpperCase(char c){
            if (c + 13 <= 90){
                return (char) (c + 13);
            }
        return (char) (c - 13);
    }

    public static char rotateLowerCase(char c){
        if (c + 13 <= 122){
            return (char) (c + 13);
        }
        return (char) (c - 13);
    }
}
